"{ Encoding: utf8 }" !
!ImageTests methodsFor:'tests'!

test_issue_207_snapshot_16bpp_produces_24bpp_image
    " Testing long strings display.  
      The test takes shown textView and tries to find out non-white pixels.
    
    For more visit: https://swing.fit.cvut.cz/projects/stx-jv/ticket/126"
    | view image |

    self skipIf: Screen current depth ~~ 16 description: 'Different than 16bit resulution'. 

    [ 
        view := Button new.
        view label: 'Hello world'.
        view open.
        image := Image fromView: view grab: false.  
    ] ensure:[ 
        view topView close.
    ].    
    self assert:(image isDepth16Image).

    "Created: / 25-04-2018 / 10:05:47 / svestkap"
! !

